Investigate implementing T184485 (Disable autopatrol logging)
Closed, ResolvedPublic

Description

T184485: Stop logging autopatrol actions

The Wikidata team is willing to pick this up as it has considerable storage implications for Wikidata.
We need to determine:

  • How much work is needed
  • Do we need to remove data retrospectively?
    • If yes, does this need to be communicated and maybe decided after community consultation?
  • Do we need a feature switch? like a config variable.
  • We need to remove old code after one release.
  • The maintenance script needs to remove old log entries and that needs to be added to update.php
Ladsgroup triaged this task as High priority.
Krinkle renamed this task from Investiagte implemenating T184485 to Investigate implementing T184485 (Disable autopatrol logging).Feb 27 2018, 8:20 PM
Krinkle updated the task description. (Show Details)

Do we need a feature switch? like a config variable.

AFAICT this already exists – $wgLogAutopatrol (see I418cc2fcc7).

Yes, but the config variable still exists, the abandoned change just updated the default value.

Yup, my bad. Sorry.

Nevertheless, this task can't be done until T184791 is done.

This is the investigation phabricator ticket, not the implantation one.

From yesterday's meeting:

How much work is needed

This will be my first thing for the next couple of weeks.

Do we need to remove data retrospectively?

If yes, does this need to be communicated and maybe decided after community consultation?

Yes, we will do it.

Do we need a feature switch? like a config variable.

There is already something like this and we don't need it

We need to remove old code after one release.

Yup

The maintenance script needs to remove old log entries and that needs to be added to update.php

Yup

Lydia_Pintscher moved this task from incoming to in progress on the Wikidata board.Mar 5 2018, 4:10 PM
Lucas_Werkmeister_WMDE closed this task as Resolved.

Investigation done.

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptMar 13 2018, 3:28 PM